# PetscGetArgs

Allows you to access the raw command line arguments anywhere after PetscInitialize() is called but before PetscFinalize().

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscGetArgs(int *argc,char ***args)

Not Collective

### Output Parameters

| argc | - count of number of command line arguments
| args | - the command line arguments

### Notes

This is usually used to pass the command line arguments into other libraries that are called internally deep in PETSc or the application.

### See Also

PetscFinalize(), PetscInitializeFortran(), PetscGetArguments()

Level:intermediate
Location: src/sys/objects/pinit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages